Skip to main content

Update Account


Overview

You can update an account by modifying the information or adding information for a non-mandatory field not provided earlier, by using the POST method, as described below. Once created, you cannot update the owner of the account.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/account/id/{accountId}

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/account/id/{accountId}

Authentication

HeaderDescription
AuthorizationBearer {JWT token}
x-api-keyYour API key
Content-Typeapplication/json

Path Parameters

ParameterTypeDescription
customerIdintegerInternal customer ID
accountIdintegerInternal account ID

Arguments — Updatability Reference

AttributeCan be Updated?Notes
externalIdConditionalOnce specified, cannot be updated
purposeYes
nickNameYes
isPrimaryYes
linkedDocumentConditionalOnce specified, cannot be updated. Can be linked through Update API if no document was linked at creation.
configuration.sweep.enableYes
configuration.sweep.cadenceYes
configuration.sweep.destination.externalAccount.idYes
configuration.sweep.destination.externalAccount.externalIdYes
configuration.sweep.minBalanceYes
configuration.sweep.methodYes
configuration.sweep.processingModeYes
configuration.sweep.cadenceDetails.sweepTimeYes
configuration.credit.realizationInterval.achYes
configuration.credit.realizationInterval.cardYes
configuration.credit.realizationInterval.checkYes
configuration.credit.quickSettle.achYes
configuration.credit.quickSettle.checkYes
configuration.credit.statementDescriptor.ach.companyDescriptionYes
configuration.credit.statementDescriptor.ach.companyNameYes
configuration.credit.statementDescriptor.card.descriptorYes
configuration.debit.statementDescriptor.ach.companyDescriptionYes
configuration.debit.statementDescriptor.ach.companyNameYes
configuration.debit.statementDescriptor.wire.originatorYes
configuration.debit.checkProcessing.defaultRemittanceTemplate.idYes
acceptanceModeYes
acceptanceDetailsYes
metaDataYes
tagsYes
commentYes
debitCardIssuance.cardProgram[].nameYes
debitCardIssuance.cardProgram[].idYes
virtualCardIssuance.cardProgram[].nameYes
virtualCardIssuance.cardProgram[].idYes

Example Request

Update Sweep Min Balance

POST /banking/us2/v1/customer/id/4052981/account/id/4024062 HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {placeholder("JWT token")}
x-api-key: {placeholder("your-api-key")}
Content-Type: application/json
{
"configuration": {
"sweep": {
"minBalance": "1050"
}
}
}

Example Response

HTTP Status: 204 No Content

Important Notes

Immutable Owner

Once created, you cannot update the owner of the account.

External ID — Set Once

The externalId can be set once but cannot be updated after initial assignment.

Linked Documents

If no document was linked at the time of account creation, it can be linked through the Update API. However, once a document is linked, it cannot be updated.

Partial Updates

You only need to include the fields you want to update. Fields not included in the request body will remain unchanged.


Interactive API Explorer